org.apache.nutch.parse

## Interface ParseStatusCodes

-     public interface ParseStatusCodes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `FAILED` General failure.
    `static short` | `FAILED_EXCEPTION` Parsing failed.
    `static short` | `FAILED_INVALID_FORMAT` Parsing failed.
    `static short` | `FAILED_MISSING_CONTENT` Parsing failed.
    `static short` | `FAILED_MISSING_PARTS` Parsing failed.
    `static short` | `FAILED_TRUNCATED` Parsing failed.
    `static String[]` | `majorCodes`
    `static byte` | `NOTPARSED` Parsing was not performed.
    `static byte` | `SUCCESS` Parsing succeeded.
    `static short` | `SUCCESS_OK`
    `static short` | `SUCCESS_REDIRECT` Parsed content contains a directive to redirect to another URL.

- - ### Field Detail

    - #### NOTPARSED

          static final byte NOTPARSED

      Parsing was not performed.
      See Also:
        Constant Field Values

    - #### SUCCESS

          static final byte SUCCESS

      Parsing succeeded.
      See Also:
        Constant Field Values

    - #### FAILED

          static final byte FAILED

      General failure. There may be a more specific error message in arguments.
      See Also:
        Constant Field Values

    - #### majorCodes

          static final String[] majorCodes

    - #### SUCCESS_OK

          static final short SUCCESS_OK

      See Also:
        Constant Field Values

    - #### SUCCESS_REDIRECT

          static final short SUCCESS_REDIRECT

      Parsed content contains a directive to redirect to another URL. The target URL can be retrieved from the arguments.
      See Also:
        Constant Field Values

    - #### FAILED_EXCEPTION

          static final short FAILED_EXCEPTION

      Parsing failed. An Exception occured (which may be retrieved from the arguments).
      See Also:
        Constant Field Values

    - #### FAILED_TRUNCATED

          static final short FAILED_TRUNCATED

      Parsing failed. Content was truncated, but the parser cannot handle incomplete content.
      See Also:
        Constant Field Values

    - #### FAILED_INVALID_FORMAT

          static final short FAILED_INVALID_FORMAT

      Parsing failed. Invalid format - the content may be corrupted or of wrong type.
      See Also:
        Constant Field Values

    - #### FAILED_MISSING_PARTS

          static final short FAILED_MISSING_PARTS

      Parsing failed. Other related parts of the content are needed to complete parsing. The list of URLs to missing parts may be provided in arguments. The Fetcher may decide to fetch these parts at once, then put them into Content.metadata, and supply them for re-parsing.
      See Also:
        Constant Field Values

    - #### FAILED_MISSING_CONTENT

          static final short FAILED_MISSING_CONTENT

      Parsing failed. There was no content to be parsed - probably caused by errors at protocol stage.
      See Also:
        Constant Field Values

Copyright © 2015 The Apache Software Foundation